CompilingSlackware

From Inkscape Wiki
Jump to: navigation, search

Slackware (general)

There are build scripts at SlackBuilds.org to build inkscape and all of its required dependencies. Although SlackBuilds.org is not officially affiliated with Slackware.com, several members of the Slackware development team are also part of the team at SlackBuilds.org.

Generally speaking though, all of the deps should be easy to compile and install into /usr/local without packaging them - have a look at the build scripts to get some hints about configure flags.

As of 20080228, inkscape will not build with the development release of libsigc++ (2.1.x) - use the latest 2.0.x release instead. Note that this may have changed with the new inkscape 0.46 release; I've not tested it, and since we know 2.0.x works fine, I have no plans to do so until libsigc++ issues a new -stable release based on the 2.1.x series.

--rworkman (note that the text below is NOT mine)


Slackware 11

Everything as usual, successfully compiled the latest gc, libsigc++, glibmm, gtkmm, loudmouth (--enable-inkboard live whiteboard support using Jabber). No need of any old gnome packages that got removed since Slackware 10.2.

Note: For those who don't want the hassle of compiling Inkscape and don't trust packages from random people, Dropline GNOME does have a binary package of Inkscape (and it's dependencies), although it's currently built without Inkboard functionality.